File

This menu item contains the following subitems:

  • New
  • Open
  • Reopen
  • Save
  • Save As
  • Close
  • Print
  • Exit


New

Data

Opens a new datafile inside the active SPSS data window. Syntax created in EasySyntax will be executed in this window.

Syntax

Opens a new syntaxfile inside EasySyntax.


Open

Data

Opens a dialog in which the user can select a datafile. This datafile will be opened inside the SPSS data window.

Syntax

Opens a dialog in which the user can select a syntaxfile. The syntaxfile will be opened inside the EasySyntax window.


Reopen

Funtionality to select en reopen one of the last 10 opened syntaxes.


Save

Saves the active syntax if the filename is known. If no file is selected then the user will be asked will be asked to set the location and filename of the file.


Save As

Opens a dialog in which the user can set the location and filename where the active syntax has to be saved.


Print

Prints the Syntax from the Syntax window.


Exit

Exits EasySyntax


Edit

This menu item contains the following subitems:

  • Undo
  • Redo
  • Cut
  • Copy
  • Paste
  • Delete
  • Find
  • Find prev
  • Find next
  • Replace


Copy

Copies the selected syntax from the Syntax window to the clipboard.


Paste

Pastes the text that is currently on the clipboard to the cursor location of the Syntax window.


Cut

Cuts the selected syntax from the Syntax window and puts it on the clipboard.


Delete

Deletes the selected syntax in the Syntax window.


Find

Opens the Find Dialog

Search text

Search for

This textbox contains the text to be searched in the Syntax window.

Options

Case sensitivity – Searches case sensitive.

Whole words only – Skips the partial found words.

Search from caret – Searches from the cursor

Selected text only – Only searches inside the selected text

Direction

Forward – Searches the text from top to bottom.

Backward – Searches the text from bottom to top.


Find next

Finds the next occurance of the search item.


Find previous

Finds the previous occurance of the search item.


Replace

Opens the Replace dialog in which it is possible to search en replace text inside a Syntax window

Replace text

Search for

This textbox contains the text to search through the Syntax window.

Replace with

This textbox contains the text to be replaced.

Options

Case sensitivity – Searches case sensitive.

Whole words only – Skips the partial found words.

Search from caret – Searches from the cursor.

Selected text only – Only searches inside the selected text.

Direction

Forward – Searches the text from top to bottom.

Backward – Searches the text from bottom to top.


 Undo

Undo the last change made in the Syntax window.


Redo

Undo the last undo action made in the Syntax window.


Run

This menu item contains the following subitems:

  • All
  • Selection
  • Refresh datafile objects


run all

All

Runs all the syntax inside the Syntax window.


Selection

Runs the selected syntax the Syntax window.


Refresh Data

Refresh datafile objects

Refreshes the list containing the datafile objects. The variables and sets will be re-read from the SPSS datafile.

This action will be executed automatically by default after every run. However, this can be slow using large SPSS datafiles. This behaviour can be changed in Settings>Environment.


Settings

This menu item contains the following subitems:

  • Style
  • Environment


Style

Opens the style window

In the style window the style of each syntax category can be specified.

Syntax styler

Category

Category is a list of all the categories that can be set with Color and text attributes. Clicking on an item in the list activates that specific category.

Color

With the left mouse button the foreground color is selected. Using the right mouse button the background color is selected for the current active Category,

Text Attributes

With the text attributes the different categories can be set to be displayed bold, italic, underlined or strikeout.

Sample Code

In the sample code field all the different categories are displayed. Every change made to a category with color or text attributes can be seen in this field.


Environment

Opens the Environment window

In the environment window it is possible to configure EasySyntax settings.

Syntaxfiles path

When a Syntax is saved the 'Save As' dialog will automatically set the directory path to the path selected in this textbox.

Datafiles path

When Data is saved the 'Save As' dialog will automatically set the directory path to the path selected in this textbox.

Automatically refresh datafile objects

This option is selected by default. After every run, the list containg the datafile objects will be refreshed. When using large datafiles, this option can be slow. In this case, this option can be deselected.


Syntax window

What is the Syntax window?

In the Syntax window you can write SPSS syntax the same way as in the SPSS syntax window. The most important benefit of EasySYntax is that all the different categories from SPSS syntax have a different color. This is why writing syntax became a lot easier.

To begin with different colors are used. Each category in SPSS can has a different color. EasySyntax can detect if a word is part of a category and will automatically highlight this word with the color specified by the user.

Second there are the Datafile Objects on the left side of the Syntax window. When these are used it is not possible to misspell a variable or set from the datafile. An additional advantage to this datafile objects list is that you have a quick overview of all the variables and sets that are used within the SPSS datafile.

To run the Syntax just push F9 or click the run button in the menu items.


Data Objects

Datafile objects

What are the Datafile Objects?

In the datafile objectslist you will find the variables and sets from the datafile currently opened in SPSS. It will be updated when EasySyntax is opened. When changes to the data are made after EasySyntax is opened, the variables and sets in the Datafile Object list can be updated by pressing F5 or by clicking the refresh button. If changes to the datafile are a result of an executed syntax, the list will be updated by default. This default behaviour can be altered in the Settings/Environment window.

How can the Datafile objects be used?

During the writing of syntax it is most likely variables and sets will be used. To make sure spelling of those variables and sets is correct, you can add them to your Syntax just by dubble clicking on them. An other why to add variables and sets is to select the one(s) you need and drag them to the appropriate position in the Syntax window.


Index

EasySyntax Help

EasySyntax example window

Analyze IT - 2003

Versie 0.9


Language

Import Language definitions

Opens the import Language definitions window

Import Language Definition

The language used in EasySyntax can be changed by selecting a new language definition file and click on import.